CIMG9144.JPG=Gary Yamaguchi
CIMG9163.JPG=NO, you can't stand there to take my photo!\

CIMG9260.JPG=Dalton Schwanke
CIMG9085.JPG=Allison Eaton
CIMG8882.JPG=John Wert and Ben Rogers on the spool
CIMG9130.JPG=Tom Adjutant
CIMG9031.JPG=Skip Trafford
CIMG9145.JPG=Gary Yamaguchi
CIMG8931.JPG=Rebecca Nelson-Harris
CIMG9190.JPG=Vic Wunderle
CIMG9116.JPG=Steve Overbeck
CIMG9252.JPG=Sophia Hickerson
CIMG8891.JPG=Jenifer Stoner
CIMG9094.JPG=Heather Koehl
CIMG8823.JPG=Chief of Judges, M.J. Rogers
CIMG8812.JPG=Tournament Director and course designer Rick Stonebraker with Chief of Judges M.J. Rogers standing in background.
CIMG9229.JPG=Joe McGlyn
CIMG8837.JPG=Hunter Jackson
CIMG9219.JPG=Jake Kaminski
CIMG9206.JPG=Joe McGlyn (left) and Jake Kaminski
CIMG8993.JPG=Jamie Van Natta
CIMG9023.JPG=Daryl Harris (left) & Sean Snyder
CIMG8967.JPG=Kayleigh Rogers & Kit Flick
CIMG9090.JPG=Heather Koehl
CIMG9003.JPG=Hunter Jackson
CIMG8877.JPG=Ben Rogers, NFAA and USAA archer
CIMG8860.JPG=Ranchowner Nolan Blaschke
CIMG9016.JPG=Charlene Trafford at the bow
CIMG9162.JPG=Vic Wunderle & Brady Elliison
CIMG9153.JPG=Gary Yamaguchi
CIMG9201.JPG=The "Stomp the ground level" dance...by Joe McGlyn and Jake Kaminski.  This went on for 30 seconds, at least....
CIMG9265.JPG=Dalton Schwanke
CIMG9026.JPG=Michael Brown
CIMG9133.JPG=Ethan Butemeyer
CIMG8879.JPG=Ben Rogers
CIMG9012.JPG=Cam Cope & Chris Faidley shooting (& Donny Hughes & Chris Vandenbergh )
CIMG8908.JPG=Jenifer Stoner
CIMG8825.JPG=Yellow Peg Course archers ready to go
CIMG9158.JPG=David Wearne
CIMG9082.JPG=Allison Eaton
CIMG9179.JPG=Brady Ellison
